1. WPay
WPay
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Api Reference
    • Authentication
      • Get Access Token
      • Refresh Access Token
    • WPay
      • Hosted Payment Page
        POST
      • List Payment History
        POST
      • Get Payment Detail
        POST
      • Refund
        POST
      • List Subscriptions
        POST
      • Get Subscription Detail
        POST
      • Cancel Subscription
        POST
      • Get Subscription Bills
        POST
    • Webhook
      • Simulate a Event Call
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. WPay

Get Subscription Bills

Developing
POST
/checkout/w-payment/subscriptions/bills
Get paginated billing history for a specific subscription.

Request

Body Params application/jsonRequired

Example
{
  "subscriptionId": 1001,
  "page": 1,
  "size": 10
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/checkout/w-payment/subscriptions/bills' \
--header 'Content-Type: application/json' \
--data '{
  "subscriptionId": 1001,
  "page": 1,
  "size": 10
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "retcode": "27",
    "retmsg": null,
    "retdata": {
        "records": [
            {
                "id": 68,
                "subscriptionId": 90,
                "amount": 692.65,
                "currency": "USD",
                "status": "PAID",
                "createdTime": "2025-12-12 00:43:11"
            }
        ],
        "total": 34,
        "pageSize": 23,
        "pageNo": 67
    }
}
Modified at 2026-05-17 23:38:45
Previous
Cancel Subscription
Next
Simulate a Event Call
Built with